package ink.wgink.module.map.controller.route.grid;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: GridRouteController
 * @Description: 网格路由
 * @Author: wanggeng
 * @Date: 2021/10/20 9:33 上午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "网格")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/grid")
public class GridRouteController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("grid/grid/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("grid/grid/update");
    }

    @GetMapping("get")
    public ModelAndView get() {
        return new ModelAndView("grid/grid/get");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("grid/grid/list");
    }

    @GetMapping("list-select")
    public ModelAndView listSelect() {
        return new ModelAndView("grid/grid/list-select");
    }

}
